Subject: bug#6999: 23.2; [PATCH] appt ignores included diary files

From: Leo <[email-masked]>
Date: Tue, 14 Sep 2010 07:19:46 +0100

On 2010-09-14 01:24 +0100, Glenn Morris wrote:
> Leo wrote:
>
>> -  (and (string-equal buffer-file-name (expand-file-name diary-file))
>> +  (and (or (string-equal buffer-file-name (expand-file-name diary-file))
>> +           (eq major-mode 'diary-mode))
>
> There's no particular reason that the included diary files should be
> being visited in diary-mode. I'll try to find a different fix (I'm
> thinking maybe running diary-list-entries should store a list of any
> include files that were found).

But the point of that is to decide whether to call appt-check (hence
diary-list-entries, which is expensive). Looks like somehow diary-lib
needs a function to return all included files without doing list
entries. Thanks for looking into this.

Leo